Bug 179650 - overflowing text does not wrap to the following line
overflowing text does not wrap to the following line
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-02-01 16:09 EST by David Bentley
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-06 19:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Bentley 2006-02-01 16:09:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
Launch gnome terminal in its default window size and type anything until you reach
the right hand edge of the screen and continue typing and the text wraps to the 
same line.

If you expand the window to full screen after launhing and the fill the line the
text wraps to the following line as expected

Expand the window to full screen then revert to normal size before you type
anything and again it works as expected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1see description

Actual Results:  see description

Expected Results:  Text to wrap to the following line without having to first maximize and then
minimize the window.

Additional info:
Comment 1 Frank Arnold 2006-02-02 20:35:55 EST
This is a bash issue. It occurs only on a newly opened terminal windows or with
a fresh bash instance.

Different proofs:
1. Start xterm and hold down a key => same behaviour like in gnome-terminal.

2. Start gnome-terminal.
2.1 Type in a random command and hit enter. Then hold down a key => wrapping
occurs like expected.
2.2 Run /bin/bash inside this window and hold down a key => no wrapping.
2.3 Run /bin/zsh inside this window and hold down a key => wraps correctly.
Comment 2 David Bentley 2006-02-06 19:45:05 EST
Fixed with the latest bash update.

Closing as resolved in rawhide.

Note You need to log in before you can comment on or make changes to this bug.